Bug 706593 - Review Request: qwtpolar - Display values on a polar coordinate system
Summary: Review Request: qwtpolar - Display values on a polar coordinate system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Huffman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-21 10:59 UTC by Volker Fröhlich
Modified: 2014-12-18 15:18 UTC (History)
4 users (show)

Fixed In Version: qwtpolar-0.1.0-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 03:36:57 UTC
bloch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Mock build.log for F14 (14.35 KB, text/plain)
2011-07-10 21:35 UTC, Adam Huffman
no flags Details

Description Volker Fröhlich 2011-05-21 10:59:06 UTC
Spec URL: http://www.geofrogger.net/review/qwtpolar.spec
SRPM URL: http://www.geofrogger.net/review/qwtpolar-0.1.0-1.fc14.src.rpm

Description:

The QwtPolar library contains classes for displaying values on a polar
coordinate system. It is an add-on package for to the Qwt Library.

-------------------

Maybe the summary is rubbish.

Comment 1 Adam Huffman 2011-05-31 22:04:49 UTC
Here's an initial check:


Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Fully versioned dependency in subpackages, if present.
[x] : MUST - Header files in -devel subpackage, if present.
[x] : MUST - ldconfig called in %post and %postun if required.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Rpmlint output is silent.
        
        rpmlint qwtpolar-0.1.0-1.fc16.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint qwtpolar-devel-0.1.0-1.fc16.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint qwtpolar-debuginfo-0.1.0-1.fc16.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint qwtpolar-0.1.0-1.fc16.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x] : MUST - Development .so files in -devel subpackage, if present.
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : eda110ec4fcf1ee03a507328de864cdc
        MD5SUM upstream package : eda110ec4fcf1ee03a507328de864cdc
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Static libraries in -static subpackage, if present.
[ ] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[ ] : MUST - %build honors applicable compiler flags or justifies otherwise.
[ ] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[ ] : MUST - Package contains no bundled libraries.
[ ] : MUST - Changelog in prescribed format.
[ ] : MUST - Sources contain only permissible code or content.
[ ] : MUST - Macros in Summary, %description expandable at SRPM build time.
[ ] : MUST - Package requires other packages for directories it uses.
[ ] : MUST - Package uses nothing in %doc for runtime.
[ ] : MUST - Package is not known to require ExcludeArch.
[ ] : MUST - Permissions on files are set properly.
[ ] : MUST - Package does not contain duplicates in %files.
[ ] : MUST - Large documentation files are in a -doc subpackage, if required.
[ ] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[ ] : MUST - License field in the package spec file matches the actual license.
[ ] : MUST - License file installed when any subpackage combination is installed.
[ ] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[ ] : MUST - Package meets the Packaging Guidelines.
[ ] : MUST - Package does not generates any conflict.
[ ] : MUST - Package does not contains kernel modules.
[ ] : MUST - Package contains no static executables.
[ ] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[ ] : MUST - Package must own all directories that it creates.
[ ] : MUST - Package does not own files or directories owned by other packages.
[ ] : MUST - Package installs properly.
[ ] : MUST - Rpath absent or only used for internal libs.
[ ] : MUST - Package is not relocatable.
[ ] : MUST - Requires correct, justified where necessary.
[ ] : MUST - Spec file is legible and written in American English.
[ ] : MUST - Package contains a SysV-style init script if in need of one.
[ ] : MUST - File names are valid UTF-8.
[ ] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - SourceX is a working URL.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[ ] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[ ] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[ ] : SHOULD - Package functions as described.
[ ] : SHOULD - Latest version is packaged.
[ ] : SHOULD - Package does not include license text files separate from upstream.
[ ] : SHOULD - Man pages included for all executables.
[ ] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ] : SHOULD - Scriptlets must be sane, if used.
[ ] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[ ] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[ ] : SHOULD - %check is present and all tests pass.
[ ] : SHOULD - Packages should try to preserve timestamps of original installed files.

Issues:

The main package Description should be cleaned up - something like "It is an add-on package for the Qwt library" would be better.

Comment 2 Volker Fröhlich 2011-06-06 07:10:17 UTC
Spec URL: http://www.geofrogger.net/review/qwtpolar.spec
SRPM URL: http://www.geofrogger.net/review/qwtpolar-0.1.0-2.fc14.src.rpm

I now use upstream's summary. Don't know why I had a different one before. I assume you meant the summary instead of the description.

Comment 3 Adam Huffman 2011-06-06 09:01:01 UTC
No, I meant the description.  "It is an addon package for to the Qwt Library" is ungrammatical, even if it's what's on the upstream site.

Comment 4 Volker Fröhlich 2011-06-06 09:40:27 UTC
Ah, I didn't get that before!

Spec URL: http://www.geofrogger.net/review/qwtpolar.spec
SRPM URL: http://www.geofrogger.net/review/qwtpolar-0.1.0-3.fc14.src.rpm

Comment 5 Adam Huffman 2011-06-08 22:45:45 UTC
Have built it locally and installed on my F14 system and it seems fine.  My only remaining query regards the documentation in the -devel package.  If I open the index.html file, there is a web page with some images, but it says "Qwt Polar User's Guide Documentation" and there's nothing else on the page.  Is that intentional?

Comment 6 Volker Fröhlich 2011-07-09 08:53:48 UTC
Spec URL: http://www.geofrogger.net/review/qwtpolar.spec
SRPM URL: http://www.geofrogger.net/review/qwtpolar-0.1.0-4.fc15.src.rpm

- Replace optimization on linker call and remove pthread link
- Explicit make call
- Produce proper developer documentation
- Drop defattr lines

Comment 7 Adam Huffman 2011-07-10 21:34:59 UTC
(In reply to comment #6)
> Spec URL: http://www.geofrogger.net/review/qwtpolar.spec
> SRPM URL: http://www.geofrogger.net/review/qwtpolar-0.1.0-4.fc15.src.rpm
> 
> - Replace optimization on linker call and remove pthread link
> - Explicit make call
> - Produce proper developer documentation
> - Drop defattr lines

Thanks for this.  However, I tried an F14 Mock build and it didn't complete.  I'll attach the error.

Comment 8 Adam Huffman 2011-07-10 21:35:50 UTC
Created attachment 512113 [details]
Mock build.log for F14

Comment 9 Volker Fröhlich 2011-07-11 20:13:54 UTC
Ah, isn't parallel build proof. This one should work:

Spec URL: http://www.geofrogger.net/review/qwtpolar.spec
SRPM URL: http://www.geofrogger.net/review/qwtpolar-0.1.0-5.fc15.src.rpm

Comment 10 Adam Huffman 2011-07-17 10:50:40 UTC
Yes, it builds successfully for me now and the documentation looks much better.  Thanks.

APPROVED.

Comment 11 Volker Fröhlich 2011-07-17 14:23:35 UTC
Thank you for reviewing!

Comment 12 Volker Fröhlich 2011-07-17 14:26:09 UTC
New Package SCM Request
=======================
Package Name: qwtpolar
Short Description: Qwt/Qt Polar Plot Library
Owners: volter
Branches: f14 f15 el6

Comment 13 Gwyn Ciesla 2011-07-17 17:16:42 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2011-07-17 19:39:44 UTC
qwtpolar-0.1.0-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/qwtpolar-0.1.0-5.fc14

Comment 15 Fedora Update System 2011-07-17 19:39:52 UTC
qwtpolar-0.1.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/qwtpolar-0.1.0-5.fc15

Comment 16 Fedora Update System 2011-07-18 22:30:04 UTC
qwtpolar-0.1.0-5.fc14 has been pushed to the Fedora 14 testing repository.

Comment 17 Fedora Update System 2011-07-31 03:36:49 UTC
qwtpolar-0.1.0-5.fc15 has been pushed to the Fedora 15 stable repository.

Comment 18 Fedora Update System 2011-07-31 04:03:57 UTC
qwtpolar-0.1.0-5.fc14 has been pushed to the Fedora 14 stable repository.

Comment 19 Fedora Update System 2011-09-24 22:18:43 UTC
qwtpolar-0.1.0-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qwtpolar-0.1.0-5.el6

Comment 20 Fedora Update System 2011-10-11 02:05:31 UTC
qwtpolar-0.1.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 21 Dave Johansen 2014-12-18 03:39:53 UTC
New Package SCM Request
=======================
Package Name: qwtpolar
Short Description: Qwt/Qt Polar Plot Library
Owners: daveisfera
Branches: epel7
InitialCC: volter

Comment 22 Volker Fröhlich 2014-12-18 15:06:53 UTC
I confirm the validity of this request.

Comment 23 Gwyn Ciesla 2014-12-18 15:18:37 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.